Module java.desktop
Package javax.print.event

## Class PrintEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.print.event.PrintEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PrintJobAttributeEvent, PrintJobEvent, PrintServiceAttributeEvent

    public class PrintEvent
    extends EventObject

Class PrintEvent is the super class of all Print Service API events.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`PrintEvent(Object source)` Constructs a PrintEvent object.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Returns a String representation of this EventObject.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrintEvent

    public PrintEvent(Object source)

Constructs a PrintEvent object.

Parameters:
  `source` - is the source of the event
Throws:
  `IllegalArgumentException` - if `source` is `null`.

### Method Detail

#### toString

    public String toString()

Description copied from class: `EventObject`
Returns a String representation of this EventObject.

Overrides:
  `toString` in class `EventObject`
Returns:
  a message describing the event